I915_CMD_PARSER_INIT(9)

NAME
i915_cmd_parser_init_ring - set cmd parser related fields for a ringbuffer

SYNOPSIS

int i915_cmd_parser_init_ring(struct intel_engine_cs * ring);

ARGUMENTS

ring
    the ringbuffer to initialize

DESCRIPTION

Optionally initializes fields related to batch buffer command parsing in the struct intel_engine_cs based on whether the platform requires software command parsing.

RETURN

non-zero if initialization fails

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT